Summary: iSCSI daemon and utility programs
Name: iscsi-initiator-utils
Version: 5.0.5.476
Release: 0.1
Source0: http://people.redhat.com/mchristi/iscsi/FC5/open-iscsi/rpm/open-iscsi-%{version}.tar.bz2
Patch0: open-iscsi-5.0.4.446-initscript.patch
Patch1: open-iscsi-5.0.4.446-add-iscsi-iname.patch
Group: System Environment/Daemons
License: GPL
URL: http://www.open-iscsi.org
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: openssl-devel db4-devel
Prereq: /sbin/chkconfig
ExcludeArch: s390 s390x

%description
The iscsi package provides the server daemon for the iSCSI protocol,
as well as the utility programs used to manage it. iSCSI is a protocol
for distributed disk access using SCSI commands sent over Internet
Protocol networks.

%prep
%setup -q -n %{name}-%{version} -c
cd open-iscsi-%{version}
%patch0 -p1 -b .initscript
%patch1 -p1 -b .add-iscsi-iname

%build
cd open-iscsi-%{version}
make -C usr
make -C utils

%install
cd open-iscsi-%{version}

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/var/db/iscsi/
install -s -m 755 usr/iscsid usr/iscsiadm utils/iscsi-iname $RPM_BUILD_ROOT/sbin
install -m 644 doc/iscsiadm.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 644 doc/iscsid.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 755 etc/initd/initd.redhat $RPM_BUILD_ROOT/etc/rc.d/init.d/iscsi
install -m 644 etc/iscsid.conf $RPM_BUILD_ROOT/etc

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add iscsi

%preun
if [ "$1" = "0" ]; then
    /sbin/chkconfig --del iscsi
fi


%files
%defattr(-,root,root)
%config /etc/rc.d/init.d/iscsi
%attr(600,root,root) %config(noreplace) /etc/iscsid.conf
%doc open-iscsi-%{version}/README
%dir /var/db/iscsi
/sbin/*
%{_mandir}/*/*

%changelog
* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 5.0.5.476-0.1
- bump again for double-long bug on ppc(64)

* Mon Jan 23 2006 Mike Christie <mchristi@redhat.com>
- rebase package to bring in ppc64 unsigned long vs unsigned
  long long fix and iscsadm return value fix. Also drop rdma patch
  becuase it is now upstream.
* Wed Dec 14 2005 Mike Christie <mchristi@redhat.com>
- initial packaging

